Bug 65915 - aic7xxxx kernel panic interupt sinc
aic7xxxx kernel panic interupt sinc
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Doug Ledford
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-03 22:02 EDT by Clark Tompsett
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clark Tompsett 2002-06-03 22:02:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020516

Description of problem:
during boot, the aic7xxxx modules cause kernel panic with interupt sync.  reset
or powering off until system will boot.  

Version-Release number of selected component (if applicable): 2.4.18-4


How reproducible:
Always

Steps to Reproduce:
System is Ausa v7-v133 motherboard, k7 1.2 ghz Athlon, 512 mb memory, aha2940uw
( 3 scsi hd, scanner, orb), aha2903(zip100, cdrw,dvd-ram, tape), both ide
channels ( 1 hd, cdrom, cdrw(scsi3)), 4 usb ports, nvida tnt agp video, 10/100
nic, ensonics sound, tv card.

1. install rh72. kernel 2.4.9
2. upgrade to rh7.3
3. upon boot, kernel panic while loading or after loading aic7xxxx.  
 Repeated resets or power off/ on to boot

This happens on every boot since updateing to rh 7.3


Actual Results:  1) If the kernel crashes while loading the aic7xxxx driver, it
does not show scsi0 or scsi1.

2) When the driver sees both cards, identify the devices on scsi0 and set the
scb.  Kernel will 1) panic with int syc or 2) will boot system while working
with scsi1.

3) system will identify devices on both scsi0 and scsi1 and boot



Expected Results:  System should have booted with out a kernel panic.  This
behavor did not occur with rh7.2 kernel 2.4.9

Additional info:

have updated to latest mkinitd from rawhide and remaide the initid image.

removing the aha2903 card did not solve problem.

information from the message log after sucessful boot.  no information in log
file when the kernel panics. 

kernel: SCSI subsystem driver Revision: 1.00
kernel: kmod: failed to exec /sbin/modprobe -s -k scsi_hostadapter, errno = 2
kernel: PCI: Found IRQ 10 for device 00:0b.0
kernel: PCI: Sharing IRQ 10 with 00:11.0
kernel: PCI: Found IRQ 11 for device 00:0c.0
kernel: ahc_pci:0:12:0: Host Adapter Bios disabled.  Using default SCSI device
parameters
kernel: scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 6.2.5
kernel:         <Adaptec 2940 Ultra SCSI adapter>
kernel:         aic7880: Ultra Wide Channel A, SCSI Id=7, 16/253 SCBs
kernel: 
kernel: scsi1 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 6.2.5
kernel:         <Adaptec 2902/04/10/15/20/30C SCSI adapter>
kernel:         aic7850: Single Channel A, SCSI Id=7, 3/253 SCBs
kernel: 
kernel:   Vendor: CWS ORB2  Model: -SE U ID 0        Rev: D42 
kernel:   Type:   Direct-Access                      ANSI SCSI revision: 02
kernel:   Vendor: HP        Model: C2500A            Rev: 3332
kernel:   Type:   Processor                          ANSI SCSI revision: 02
kernel:   Vendor: IBM       Model: DDYS-T18350N      Rev: S96H
kernel:   Type:   Direct-Access                      ANSI SCSI revision: 03
kernel:   Vendor: IBM       Model: DNES-309170W      Rev: SAH0
kernel:   Type:   Direct-Access                      ANSI SCSI revision: 03
kernel:   Vendor: QUANTUM   Model: VIKING 4.5 WSE    Rev: 880R
kernel:Type:   Direct-Access                      ANSI SCSI revision: 02
kernel: scsi0:A:8:0: Tagged Queuing enabled.  Depth 253
kernel: scsi0:A:9:0: Tagged Queuing enabled.  Depth 253
kernel: scsi0:A:10:0: Tagged Queuing enabled.  Depth 253
kernel:   Vendor: SONY      Model: SDT-5000          Rev: 330B
kernel:   Type:   Sequential-Access                  ANSI SCSI revision: 02
kernel:   Vendor: YAMAHA    Model: CRW4260           Rev: 1.0q
kernel:   Type:   CD-ROM                             ANSI SCSI revision: 02
kernel:   Vendor: IOMEGA    Model: ZIP 100           Rev: N*32
kernel:   Type:   Direct-Access                      ANSI SCSI revision: 02
kernel:   Vendor: TOSHIBA   Model: SD-W1101 DVD-RAM  Rev: 1030
kernel:   Type:   CD-ROM                             ANSI SCSI revision: 02
kernel: Attached scsi removable disk sda at scsi0, channel 0, id 0, lun 0
kernel: Attached scsi disk sdb at scsi0, channel 0, id 8, lun 0
kernel: Attached scsi disk sdc at scsi0, channel 0, id 9, lun 0
kernel: Attached scsi disk sdd at scsi0, channel 0, id 10, lun 0
kernel: Attached scsi removable disk sde at scsi1, channel 0, id 5, lun 0
kernel: (scsi0:A:0): 10.000MB/s transfers (10.000MHz, offset 15)
kernel: SCSI device sda: 4307184 512-byte hdwr sectors (2205 MB)
kernel: sda: Write Protect is off
kernel:  sda: sda1
kernel: (scsi0:A:8): 20.000MB/s transfers (10.000MHz, offset 8, 16bit)
kernel: SCSI device sdb: 35843670 512-byte hdwr sectors (18352 MB)
kernel:  sdb: sdb1 sdb2 sdb3
kernel: (scsi0:A:9): 20.000MB/s transfers (10.000MHz, offset 8, 16bit)
kernel: SCSI device sdc: 17916240 512-byte hdwr sectors (9173 MB)
kernel: (scsi0:A:10): 20.000MB/s transfers (10.000MHz, offset 8, 16bit)
 SCSI device sdd: 8899737 512-byte hdwr sectors (4557 MB)
kernel:  sdd: sdd1 < sdd5 > sdd2
kernel: SCSI device sde: 196608 512-byte hdwr sectors (101 MB)
kernel: sde: Write Protect is off
kernel:  sde: sde1
Comment 1 Clark Tompsett 2002-06-18 21:50:08 EDT
Tested the 2.4.18-5.41 kernel from Rawhide.  This kernel booted from a cold boot
without problems.  Due to the Nvidia video driver, not compiling due to this
kernel being compiled with a different version of the compiler, I have not been
able to test this kernel or successive kernels from rawhide.
Comment 2 Clark Tompsett 2002-06-20 23:56:13 EDT
Installed the 2.4.18-5 athlon kernel today from the update site.  I still have
kernel panics when booting.  Message is
sginpos=161 SCB index =25
kernel panic: loop 1

The value for sginpos changes, one time 161 the next 133, etc.

Also have two messages that appear --
spurlus 8258a interupt: IRQ7  (not logged in the logged file and occurs if the
system boots or not)

and 

scsi0: PCI error interuupt at seqaddr = 0x1

did not see these boot errors when I tested the 5-41 kernel from rawhide.
Comment 3 Bugzilla owner 2004-09-30 11:39:39 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.